<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.logging.logging-profile.pattern-formatter" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="color-map,pattern"/>
        <elem name="addr-params" value="profile,subsystem,logging-profile,pattern-formatter"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.formatter.$logging-profile.$pattern-formatter"/>
    </provides>
    <refs>
        <ref feature="subsystem.logging.logging-profile"/>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="pattern" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="pattern-formatter" feature-id="true"/>
        <param name="color-map" nillable="true" stability="default"/>
        <param name="logging-profile" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>